using LeetCode.Logic;

namespace LeetCode.Tests;

public class AnagramStringTests
{
    private readonly AnagramString _sut = new();
    
    [Theory]
    [InlineData("anagram", "nagaram", true)]
    [InlineData("rat", "car", false)]
    public void TestIsAnagram(string s, string t, bool expected)
    {
        var result = _sut.IsAnagram(s, t);
        Assert.Equal(expected, result);
    }
    
}